{{-- Layout for admins --}}
{{-- Will have a sidebar with links --}}
{{-- Will have a top bar with account and link to main site--}}
@extends('layout')

@push('head')
    <link rel="stylesheet" href="{{ asset('css/generic.css') }}">
    <link rel="stylesheet" href="{{ asset('css/manage/manage.css') }}">
@endpush

@section('body')
    <header>
        <a href="{{ route('manage') }}"><span>{{ config('app.name', 'CineFlex') }}</span></a>
        <div id="links">
            <a href="{{ route('home') }}">Main Site</a>
            <a href="{{ route('logout') }}">Logout</a>
        </div>
    </header>
    <div id="sidebar"> {{-- Page Aware --}}
        <a class="{{ Request::is('manage') ? 'active' : '' }}" href="{{ route('manage') }}">Dashboard</a>

        @if (Auth::user()->hasPermission("READ_CINEMAS"))
        <a class="{{ Request::is('manage/cinemas') ? 'active' : '' }}" href="{{ route('manage.cinemas') }}">Cinemas</a>
        @endif

        @if (Auth::user()->hasPermission("READ_MOVIES"))
        <a class="{{ Request::is('manage/movies') ? 'active' : '' }}" href="{{ route('manage.movies') }}">Movies</a>
        @endif

        @if (Auth::user()->hasPermission("READ_SHOWINGS"))
        <a class="child {{ Request::is('manage/showings') ? 'active' : '' }}" href="{{ route('manage.showings') }}">Showings</a>
        @endif

        @if (Auth::user()->hasPermission("READ_GENRES"))
        <a class="{{ Request::is('manage/genres') ? 'active' : '' }}" href="{{ route('manage.genres') }}">Genres</a>
        @endif

        @if(Auth::user()->atleast('manage') && Auth::user()->hasPermission("READ_USERS"))
            <a class="{{ Request::is('manage/users') ? 'active' : '' }}" href="{{ route('manage.users') }}">Users</a>
        @endif
    </div>
    <main>
        @yield('content')
        @yield('main')
    </main>
@endsection
